%define ocamlname js_of_ocaml-ppx_deriving_json

Name:           ocaml-%{ocamlname}
Version:        3.1.0
Release:        1%{?dist}.emp1
Summary:        Compiler from OCaml bytecode to Javascript
License:        GPL
URL:            http://ocsigen.org/js_of_ocaml
Source0:        js_of_ocaml-%{version}.tar.gz

Requires:	ocaml >= 4.02.0
Requires:  	ocaml-js_of_ocaml
Requires:	ocaml-ppx_tools
Requires:	ocaml-ppx_deriving

BuildRequires:  opam-installer >= 2.0
BuildRequires:  ocaml >= 4.02.0
BuildRequires:  ocaml-findlib
BuildRequires:  jbuilder
BuildRequires:  ocaml-js_of_ocaml-devel
BuildRequires:	ocaml-ppx_tools-devel
BuildRequires:	ocaml-ppx_deriving-devel

Conflicts:	ocaml-ppx_deriving <= 4.2.0

%description
Compiler from OCaml bytecode to Javascript.
See http://ocsigen.org/js_of_ocaml for more info.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:  	ocaml-js_of_ocaml-devel
Requires:	ocaml-ppx_tools-devel
Requires:	ocaml-ppx_deriving-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n js_of_ocaml-%{version}

%build
jbuilder build  -p %{ocamlname} %{?_smp_mflags}

%install
opam-installer \
	--prefix=%{buildroot}/%{_libdir}/ocaml \
	--libdir=%{buildroot}/%{_libdir}/ocaml \
	%{ocamlname}.install

%files
%doc %{_libdir}/ocaml/doc/%{ocamlname}/LICENSE
%{_libdir}/ocaml/%{ocamlname}
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/%{ocamlname}/*.a
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmxa
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif

%files devel
%doc %{_libdir}/ocaml/doc/%{ocamlname}/CHANGES
%doc %{_libdir}/ocaml/doc/%{ocamlname}/README.md
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/%{ocamlname}/*.a
%{_libdir}/ocaml/%{ocamlname}/*.cmxa
%{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
